Clear your cart

Removes every item from your cart and returns the now-empty cart.

Clearing an empty cart changes nothing and still succeeds, so retries are safe.

Requires the cart:write scope.

Body
required
application/json
Empty object
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for delete/cart
curl https://public-api.cardnexus.com/v1/cart \
  --request DELETE \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{}'
{
  "deliveryCountry": "FR",
  "itemCount": 2,
  "sellers": [
    {
      "seller": {
        "id": "665f3a2b1c8d4e9f7a6b5c4d",
        "username": "north_arena_tcg",
        "country": "DE",
        "type": "pro",
        "rating": {
          "average": 4.9,
          "count": 214
        },
        "shipping": {
          "amount": 3.5,
          "currency": "EUR"
        }
      },
      "itemsSubtotal": {
        "amount": 9,
        "currency": "EUR"
      },
      "items": [
        {
          "listingId": "665f3a2b1c8d4e9f7a6b5c52",
          "productId": 50212,
          "productName": "Dark Magician (SDMY-EN001)",
          "imageUrl": "https://images.cardnexus.com/yugioh/SDMY-EN001.png",
          "condition": "NM",
          "language": "en",
          "finish": "Standard",
          "graded": null,
          "quantity": 2,
          "unitPrice": {
            "amount": 4.5,
            "currency": "EUR"
          },
          "lineTotal": {
            "amount": 9,
            "currency": "EUR"
          },
          "addedAt": "2026-07-12T15:02:00.000Z"
        }
      ]
    }
  ]
}